Bug 1620555 (CVE-2018-15594) - CVE-2018-15594 kernel: Mishandling of indirect calls weakens Spectre mitigation for paravirtual guests
Summary: CVE-2018-15594 kernel: Mishandling of indirect calls weakens Spectre mitigati...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-15594
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1620557 1620558 1626416 1626417 1626418 1626419 1626420 1632820 1772246 1772247 1772248 1772249
Blocks: 1620559
TreeView+ depends on / blocked
 
Reported: 2018-08-23 07:32 UTC by Andrej Nemec
Modified: 2020-04-23 01:37 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that paravirt_patch_call/jump() functions in the arch/x86/kernel/paravirt.c in the Linux kernel mishandles certain indirect calls, which makes it easier for attackers to conduct Spectre-v2 attacks against paravirtualized guests.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:04:18 UTC
Red Hat Product Errata RHSA-2019:2043 None None None 2019-08-06 12:06:42 UTC

Description Andrej Nemec 2018-08-23 07:32:28 UTC
It was found that arch/x86/kernel/paravirt.c in the Linux kernel before 4.18.1 It was found that paravirt_patch_call/jump() functions in the arch/x86/kernel/paravirt.c in the Linux kernel mishandle certain indirect calls, which makes it easier for attackers to conduct Spectre-v2 attacks against paravirtualized guests.

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=5800dc5c19f34e6e03b5adab1282535cb102fafd

Comment 1 Andrej Nemec 2018-08-23 07:33:52 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1620557]

Comment 3 Justin M. Forbes 2018-08-23 11:51:04 UTC
This was fixed for Fedora users with the 4.17.14-202 kernel update.

Comment 7 errata-xmlrpc 2019-08-06 12:04:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2029 https://access.redhat.com/errata/RHSA-2019:2029

Comment 8 errata-xmlrpc 2019-08-06 12:06:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2043 https://access.redhat.com/errata/RHSA-2019:2043

Comment 9 Product Security DevOps Team 2019-08-06 13:19:07 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-15594


Note You need to log in before you can comment on or make changes to this bug.